Package org.springframework.batch.core.configuration.support

# Class JobFactoryRegistrationListener

java.lang.Object
org.springframework.batch.core.configuration.support.JobFactoryRegistrationListener

public class JobFactoryRegistrationListener extends Object
Generic service that can bind and unbind a `JobFactory` in a `JobRegistry`.

Author:
  Dave Syer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobFactoryRegistrationListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind(JobFactory jobFactory, Map<String,?> params)`
  Take the `JobFactory` provided and register it with the `JobRegistry`.
  `void`
  `setJobRegistry(JobRegistry jobRegistry)`
  Public setter for a `JobRegistry` to use for all the bind and unbind events.
  `void`
  `unbind(JobFactory jobFactory, Map<String,?> params)`
  Take the `JobFactory` provided and unregister it with the `JobRegistry`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobFactoryRegistrationListener

    public JobFactoryRegistrationListener()

- ## Method Details

  - ### setJobRegistry

    public void setJobRegistry(JobRegistry jobRegistry)
    Public setter for a `JobRegistry` to use for all the bind and unbind events.
    Parameters:
      `jobRegistry` - `JobRegistry`

  - ### bind

    public void bind(JobFactory jobFactory, Map<String,?> params) throws Exception
    Take the `JobFactory` provided and register it with the `JobRegistry`.
    Parameters:
      `jobFactory` - a `JobFactory`
      `params` - not needed by this listener.
    Throws:
      `Exception` - if there is a problem

  - ### unbind

    public void unbind(JobFactory jobFactory, Map<String,?> params) throws Exception
    Take the `JobFactory` provided and unregister it with the `JobRegistry`.
    Parameters:
      `jobFactory` - a `JobFactory`
      `params` - not needed by this listener.
    Throws:
      `Exception` - if there is a problem